/* 
    Webcam Lab

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    (C) 2005 Jason Hunt
    nulluser@gmail.com
    
    file: types.h
*/

#ifndef TYPES_H
#define TYPES_H

#define program_name "CamLab (C) 2005 Jason Hunt"         

#define MAX_MESSAGE 1024

// Interface to windows colors
typedef struct color_type
{
    unsigned char b, g, r;
};

// Basic color defines

const color_type black = {0,     0,    0};
const color_type white = {255, 255, 255};
const color_type red   = {0,     0, 255};
const color_type green = {0,   255,   0};
const color_type blue  = {255,   0,   0};
const color_type blue1  = {230,   30,  30};
const color_type blue2  = {180,   10,   10};

#endif

